remote_file '/opt/theta42/bin/gitea' do
  source 'https://github.com/go-gitea/gitea/releases/download/v1.8.1/gitea-1.8.1-linux-amd64'
  mode '0755'
  action :create
end

template '/opt/theta42/gitea/conf/app.ini' do
  source 'app.ini.erb'
  owner 'gitea'
  group 'gitea'
  mode '0755'
end

systemd_unit 'gitea.service' do
  content <<-EOU.gsub(/^\s+/, '')
  [Unit]
  Description=Gitea (Git with a cup of tea)
  After=syslog.target
  After=network.target
  After=postgresql.service


  [Service]
  # Modify these two values and uncomment them if you have
  # repos with lots of files and get an HTTP error 500 because
  # of that
  ###
  #LimitMEMLOCK=infinity
  #LimitNOFILE=65535
  RestartSec=10s
  Type=simple
  User=gitea
  Group=gitea
  WorkingDirectory=/opt/theta42/gitea
  ExecStart=/opt/theta42/bin/gitea web --config /opt/theta42/gitea/conf/app.ini
  Restart=always
  Environment=USER=gitea HOME=/home/gitea GITEA_WORK_DIR=/opt/theta42/gitea GITEA_CUSTOM=/opt/theta42/gitea/custom

  [Install]
  WantedBy=multi-user.target


  EOU

  action [:create, :enable, :start]
end